
From: "Antonino A. Daplas" <adaplas@hotpop.com>

  sis_main.c vfree() checking cleanups.
  convert from pci_module_init to pci_register_driver

  (from:http://kerneljanitors.org/TODO).

Signed-off by: James Lamanna <jlamanna@gmail.com>
Signed-off-by: Domen Puncer <domen@coderock.org>
Signed-off-by: Antonino Daplas <adaplas@pol.net>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/video/sis/sis_main.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

diff -puN drivers/video/sis/sis_main.c~sisfb-trivial-cleanups drivers/video/sis/sis_main.c
--- 25/drivers/video/sis/sis_main.c~sisfb-trivial-cleanups	Mon Mar 14 15:31:33 2005
+++ 25-akpm/drivers/video/sis/sis_main.c	Mon Mar 14 15:31:33 2005
@@ -5640,7 +5640,7 @@ static void __devexit sisfb_remove(struc
 	/* Unmap */
 	iounmap(ivideo->video_vbase);
 	iounmap(ivideo->mmio_vbase);
-	if(ivideo->bios_abase) vfree(ivideo->bios_abase);
+	vfree(ivideo->bios_abase);
 
 	/* Release mem regions */
 	release_mem_region(ivideo->video_base, ivideo->video_size);
@@ -5695,7 +5695,7 @@ SISINITSTATIC int __init sisfb_init(void
 	sisfb_setup(options);
 #endif
 #endif
-	return(pci_module_init(&sisfb_driver));
+	return(pci_register_driver(&sisfb_driver));
 }
 
 #if LINUX_VERSION_CODE > KERNEL_VERSION(2,6,8)
_
